﻿using System;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Map;

namespace ImageProviderTest
{
    public class WriteableBitmapProvider : ImageProvider
	{
		/// <summary>
		/// Initializes a new instance of the GenevaMapProvider class.
		/// </summary>
		public WriteableBitmapProvider()
			: base()
		{
			WriteableBitmapSource source = new WriteableBitmapSource()
			{
				Provider = this
			};
			this.MapSources.Add(source.UniqueId, source);
		}

		/// <summary>
		/// Returns the SpatialReference for the map provider.
		/// </summary>
		public override ISpatialReference SpatialReference
		{
			get
			{
				return new MercatorProjection();
			}
		}

		public RadMap MapControl
		{
			get;
			set;
		}
	}
}
